<bugID>598357<Summary>use toSource() instead of toString() for some types of output in the Console</Summary><Description>Currently, results of evaluated JS in the Web Console are being dumped using result.toString(). For some results, toSource() gives better output.

For strings, we should investigate the use of uneval().

from IRC:

09:25 &lt;@jorendorff&gt; [toSource is] not for objects beyond Object or Array
09:25 &lt;@jorendorff&gt; window.document.body  ===&gt; [object HTMLBodyElement]           this is better 
                    than what toSource would do!
09:25 &lt;@jorendorff&gt; toSource would give you:      ({})
09:26 &lt;@jorendorff&gt; which is useless of course
09:26 &lt;@jorendorff&gt; so I guess toSource is better for strings, Objects, and Arrays
09:28 &lt;@jorendorff&gt; also objects of the types Date, Boolean, String, Number -- probably most if 
                    not all of the builtin types
09:28 &lt;@jorendorff&gt; but not DOM nodes.</Description></bugID>